Bug 980103 - gscan2pdf fails with "invalid argument"
gscan2pdf fails with "invalid argument"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 08:44 EDT by Joachim Backes
Modified: 2015-01-14 06:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 06:08:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error popup on the screen (60.64 KB, image/png)
2013-07-01 08:44 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2013-07-01 08:44:19 EDT
Created attachment 767391 [details]
Error popup on the screen

Description of problem:
Trying to use gscan2pdf with my CANON LIDE30 USB scanner. 

Version-Release number of selected component (if applicable):
gscan2pdf-1.1.3-2.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1.start gscan2pdf
2.File->scan, then select scanner in GUI
3.press the scan button

Actual results:
See description. Addiotionally, getting the following msg in the terminal:

*** unhandled exception in callback:
***   can't open /tmp/gscan2pdf-gI6G/out1.pnm: No such file or directory
***  ignoring at /usr/share/perl5/vendor_perl/Gscan2pdf/Dialog/Scan/Sane.pm line 1466.


Expected results:


Additional info:
Comment 1 Daniel Riek 2013-08-05 12:42:25 EDT
Some additional notes:

* The problem also exists with HP scanners or my laptop's integrated camera, so it seems to be a generic issue.
* The problem apparently was introduced with F19 (as in: it worked before the upgrade).
* Other programs such as Simple Scan still work.

The default device if I start gscan2pdf is the builtin laptop camera. When switching to my HP scanner, the Device dialog is not updated for the Scanner options although it now shows the Scanner in the Device line at the top of the dialog.

When selecting "Rescan for Devices" I see the following error in the terminal window:
"""
Use of uninitialized value $device in string eq at /usr/share/perl5/vendor_perl/Gscan2pdf/Dialog/Scan/Sane.pm line 77.
"""
Comment 2 Daniel Riek 2013-08-05 12:55:41 EDT
Further:

It looks like selecting a different device than the default in the device dialog is ignored. However when I start gscan2pdf with the --device option and the scanner as the parameter, it works correctly. So the problem appears to be in the device management UI.
Comment 3 Fedora End Of Life 2015-01-09 13:36:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.